PROGRAM checkarg

  REAL :: x=5,y=7,z=9

  call PRINTargs(x,y,z)
  call PRINTargs(x,y)

  CONTAINS

  SUBROUTINE PRINTargs(a,b,c)

  REAL :: a,b,c
      
  write(*,*) 'sub PRINTargs: a = ',a
  write(*,*) 'sub PRINTargs: b = ',b
  write(*,*) 'sub PRINTargs: c = ',c

  END SUBROUTINE PRINTargs

END PROGRAM checkarg
